<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <FileVersion>1.0.0.0</FileVersion>
    <AnalysisLevel>latest</AnalysisLevel>
    <Company>JacobTech, LLC</Company>
    <Version>1.0.0-alpha02</Version>
    <Title>Updater</Title>
    <Authors>JacobTech</Authors>
    <RepositoryUrl>https://git.jacobtech.com/JacobTech.com/Updater</RepositoryUrl>
    <RepositoryType>git</RepositoryType>
    <OutputType>Exe</OutputType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>portable</DebugType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>portable</DebugType>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="Logo.ico">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="GraphicsManager" Version="1.1.1-alpha23" />
    <PackageReference Include="WindowsAPICodePack-Shell" Version="1.1.1">
      <NoWarn>NU1701</NoWarn>
    </PackageReference>
  </ItemGroup>
  
  <ItemGroup>
    <EmbeddedResource Include="Resource/**"></EmbeddedResource>
  </ItemGroup>

  <Target Name="CustomActionsAfterPublish" AfterTargets="Pack">
    <Message Text="Actions AfterPublish: $(PackageId).$(PackageVersion).nupkg" Importance="high" />
    <Exec Command="nuget push -Source https://nuget.jacobtech.com/v3/index.json bin/Release/$(PackageId).$(PackageVersion).nupkg" />
  </Target>
	
</Project>
